CREATE TABLE ben_acty_base_rt_f (
    ACTY_BASE_RT_ID                NUMBER(18, 0),
    USES_CIR                       VARCHAR2(120),
    DIR_CARD_DEFINITION_ID         NUMBER(18, 0),
    DIR_CARD_COMP_DEF_ID           NUMBER(18, 0),
    MAPPING_ID                     NUMBER(18, 0),
    VALUE_DEFINITION_BASE_NAME     VARCHAR2(512),
    EXTRA_VAL_DEF_RL               NUMBER(18, 0),
    ALWS_RLVR_CRS_FLAG             VARCHAR2(120),
    FLEX_PLC_HLDR_RATE_CD          VARCHAR2(120),
    ADD_TO_PGM_POOL_FLAG           VARCHAR2(120),
    ALWS_NGTV_USG_FLAG             VARCHAR2(120),
    PCT_NGTV_USG_BY_TOTAL_POOL     NUMBER       ,
    AUTO_ALCT_EXCS_FLAG            VARCHAR2(120),
    EXCS_TRTMT_CD                  VARCHAR2(120),
    EXCS_TRTMT_RL                  NUMBER(18, 0),
    CASH_DSTRBN_RSTRCN_CD          VARCHAR2(120),
    MN_CASH_DSTRBL_PCT             NUMBER       ,
    MX_CASH_DSTRBL_PCT             NUMBER       ,
    MN_CASH_DSTRBL_VAL             NUMBER       ,
    MX_CASH_DSTRBL_VAL             NUMBER       ,
    USES_NET_CRS_MTHD_FLAG         VARCHAR2(120),
    MX_DFCIT_PCT_POOL_CRS_NUM      NUMBER       ,
    MX_DFCIT_PCT_COMP_NUM          NUMBER       ,
    CASH_RNDG_CD                   VARCHAR2(120),
    CASH_RNDG_RL                   NUMBER(18, 0),
    DFLT_EXCS_TRTMT_CD             VARCHAR2(120),
    DFLT_EXCS_TRTMT_RL             NUMBER(18, 0),
    EXCS_ALWYS_FFTD_FLAG           VARCHAR2(120),
    PGM_POOL_FLAG                  VARCHAR2(120),
    USE_FOR_PGM_POOL_FLAG          VARCHAR2(120),
    ALWS_NGTV_CRS_FLAG             VARCHAR2(120),
    RLOVR_RSTRCN_CD                VARCHAR2(120),
    PCT_RNDG_CD                    VARCHAR2(120),
    PCT_RNDG_RL                    NUMBER(18, 0),
    VAL_RNDG_CD                    VARCHAR2(120),
    VAL_RNDG_RL                    NUMBER(18, 0),
    COMP_OBJ_TYPE                  VARCHAR2(120),
    EFFECTIVE_START_DATE           DATE         ,
    EFFECTIVE_END_DATE             DATE         ,
    ACTY_TYP_CD                    VARCHAR2(120),
    LEGAL_ENTITY_ID                NUMBER(18, 0),
    NAME                           VARCHAR2(960),
    RT_TYP_CD                      VARCHAR2(120),
    BNFT_RT_TYP_CD                 VARCHAR2(120),
    TX_TYP_CD                      VARCHAR2(120),
    USE_TO_CALC_NET_FLX_CR_FLAG    VARCHAR2(120)    NOT NULL,
    ASN_ON_ENRT_FLAG               VARCHAR2(120)    NOT NULL,
    ABV_MX_ELCN_VAL_ALWD_FLAG      VARCHAR2(120)    NOT NULL,
    BLW_MN_ELCN_ALWD_FLAG          VARCHAR2(120)    NOT NULL,
    DSPLY_ON_ENRT_FLAG             VARCHAR2(120)    NOT NULL,
    PARNT_CHLD_CD                  VARCHAR2(120),
    USE_CALC_ACTY_BS_RT_FLAG       VARCHAR2(120)    NOT NULL,
    USES_DED_SCHED_FLAG            VARCHAR2(120)    NOT NULL,
    USES_VARBL_RT_FLAG             VARCHAR2(120)    NOT NULL,
    VSTG_SCHED_APLS_FLAG           VARCHAR2(120)    NOT NULL,
    RT_MLT_CD                      VARCHAR2(120),
    PROC_EACH_PP_DFLT_FLAG         VARCHAR2(120)    NOT NULL,
    PRDCT_FLX_CR_WHEN_ELIG_FLAG    VARCHAR2(120)    NOT NULL,
    NO_STD_RT_USED_FLAG            VARCHAR2(120)    NOT NULL,
    RCRRG_CD                       VARCHAR2(120),
    MN_ELCN_VAL                    NUMBER       ,
    MX_ELCN_VAL                    NUMBER       ,
    USES_PYMT_SCHED_FLAG           VARCHAR2(120)    NOT NULL,
    NNMNTRY_UOM                    VARCHAR2(120),
    VAL                            NUMBER       ,
    INCRMT_ELCN_VAL                NUMBER       ,
    RNDG_CD                        VARCHAR2(120),
    VAL_OVRID_ALWD_FLAG            VARCHAR2(120)    NOT NULL,
    PRTL_MO_DET_MTHD_CD            VARCHAR2(120),
    ACTY_BASE_RT_STAT_CD           VARCHAR2(120),
    PROCG_SRC_CD                   VARCHAR2(120),
    DFLT_VAL                       NUMBER       ,
    DFLT_FLAG                      VARCHAR2(120)    NOT NULL,
    FRGN_ERG_DED_TYP_CD            VARCHAR2(120),
    FRGN_ERG_DED_NAME              VARCHAR2(720),
    FRGN_ERG_DED_IDENT             VARCHAR2(360),
    NO_MX_ELCN_VAL_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    PRTL_MO_DET_MTHD_RL            NUMBER(18, 0),
    ENTR_VAL_AT_ENRT_FLAG          VARCHAR2(120)    NOT NULL,
    PRTL_MO_EFF_DT_DET_RL          NUMBER(18, 0),
    RNDG_RL                        NUMBER(18, 0),
    VAL_CALC_RL                    NUMBER(18, 0),
    NO_MN_ELCN_VAL_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    PRTL_MO_EFF_DT_DET_CD          VARCHAR2(120),
    ONLY_ONE_BAL_TYP_ALWD_FLAG     VARCHAR2(120)    NOT NULL,
    ANN_MN_ELCN_VAL                NUMBER       ,
    ANN_MX_ELCN_VAL                NUMBER       ,
    ENTR_ANN_VAL_FLAG              VARCHAR2(120)    NOT NULL,
    RT_USG_CD                      VARCHAR2(120),
    LWR_LMT_VAL                    NUMBER       ,
    LWR_LMT_CALC_RL                NUMBER(18, 0),
    UPR_LMT_VAL                    NUMBER       ,
    UPR_LMT_CALC_RL                NUMBER(18, 0),
    ELEMENT_TYPE_ID                NUMBER(18, 0),
    PGM_ID                         NUMBER(18, 0),
    PL_ID                          NUMBER(18, 0),
    OIPL_ID                        NUMBER(18, 0),
    PLIP_ID                        NUMBER(18, 0),
    PTIP_ID                        NUMBER(18, 0),
    CMBN_PTIP_ID                   NUMBER(18, 0),
    CMBN_PTIP_OPT_ID               NUMBER(18, 0),
    VSTG_FOR_ACTY_RT_ID            NUMBER(18, 0),
    COMP_LVL_FCTR_ID               NUMBER(18, 0),
    PTD_COMP_LVL_FCTR_ID           NUMBER(18, 0),
    CLM_COMP_LVL_FCTR_ID           NUMBER(18, 0),
    PARNT_ACTY_BASE_RT_ID          NUMBER(18, 0),
    BUSINESS_GROUP_ID              NUMBER(18, 0)    NOT NULL,
    ABR_ATTRIBUTE_CATEGORY         VARCHAR2(120),
    ABR_ATTRIBUTE1                 VARCHAR2(600),
    ABR_ATTRIBUTE2                 VARCHAR2(600),
    ABR_ATTRIBUTE3                 VARCHAR2(600),
    ABR_ATTRIBUTE4                 VARCHAR2(600),
    ABR_ATTRIBUTE5                 VARCHAR2(600),
    ABR_ATTRIBUTE6                 VARCHAR2(600),
    ABR_ATTRIBUTE7                 VARCHAR2(600),
    ABR_ATTRIBUTE8                 VARCHAR2(600),
    ABR_ATTRIBUTE9                 VARCHAR2(600),
    ABR_ATTRIBUTE10                VARCHAR2(600),
    ABR_ATTRIBUTE11                VARCHAR2(600),
    ABR_ATTRIBUTE12                VARCHAR2(600),
    ABR_ATTRIBUTE13                VARCHAR2(600),
    ABR_ATTRIBUTE14                VARCHAR2(600),
    ABR_ATTRIBUTE15                VARCHAR2(600),
    ABR_ATTRIBUTE16                VARCHAR2(600),
    ABR_ATTRIBUTE17                VARCHAR2(600),
    ABR_ATTRIBUTE18                VARCHAR2(600),
    ABR_ATTRIBUTE19                VARCHAR2(600),
    ABR_ATTRIBUTE20                VARCHAR2(600),
    ABR_ATTRIBUTE21                VARCHAR2(600),
    ABR_ATTRIBUTE22                VARCHAR2(600),
    ABR_ATTRIBUTE23                VARCHAR2(600),
    ABR_ATTRIBUTE24                VARCHAR2(600),
    ABR_ATTRIBUTE25                VARCHAR2(600),
    ABR_ATTRIBUTE26                VARCHAR2(600),
    ABR_ATTRIBUTE27                VARCHAR2(600),
    ABR_ATTRIBUTE28                VARCHAR2(600),
    ABR_ATTRIBUTE29                VARCHAR2(600),
    ABR_ATTRIBUTE30                VARCHAR2(600),
    ABR_ATTRIBUTE_NUMBER1          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER2          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER3          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER4          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER5          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER6          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER7          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER8          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER9          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER10         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER11         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER12         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER13         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER14         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER15         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER16         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER17         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER18         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER19         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER20         NUMBER       ,
    ABR_ATTRIBUTE_DATE1            DATE         ,
    ABR_ATTRIBUTE_DATE2            DATE         ,
    ABR_ATTRIBUTE_DATE3            DATE         ,
    ABR_ATTRIBUTE_DATE4            DATE         ,
    ABR_ATTRIBUTE_DATE5            DATE         ,
    ABR_ATTRIBUTE_DATE6            DATE         ,
    ABR_ATTRIBUTE_DATE7            DATE         ,
    ABR_ATTRIBUTE_DATE8            DATE         ,
    ABR_ATTRIBUTE_DATE9            DATE         ,
    ABR_ATTRIBUTE_DATE10           DATE         ,
    ABR_ATTRIBUTE_DATE11           DATE         ,
    ABR_ATTRIBUTE_DATE12           DATE         ,
    ABR_ATTRIBUTE_DATE13           DATE         ,
    ABR_ATTRIBUTE_DATE14           DATE         ,
    ABR_ATTRIBUTE_DATE15           DATE         ,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    INPUT_VALUE_ID                 NUMBER(18, 0),
    SUBJ_TO_IMPTD_INCM_FLAG        VARCHAR2(120),
    WSH_RL_DY_MO_NUM               NUMBER(18, 0),
    CMBN_PLIP_ID                   NUMBER(18, 0),
    OIPLIP_ID                      NUMBER(18, 0),
    ACTL_PREM_ID                   NUMBER(18, 0),
    ELE_RQD_FLAG                   VARCHAR2(120)    NOT NULL,
    ONE_ANN_PYMT_CD                VARCHAR2(120),
    PRORT_MN_ANN_ELCN_VAL_CD       VARCHAR2(120),
    PRORT_MN_ANN_ELCN_VAL_RL       NUMBER(18, 0),
    PRORT_MX_ANN_ELCN_VAL_CD       VARCHAR2(120),
    PRORT_MX_ANN_ELCN_VAL_RL       NUMBER(18, 0),
    ASMT_TO_USE_CD                 VARCHAR2(120),
    DET_PL_YTD_CNTRS_CD            VARCHAR2(120),
    TTL_COMP_LVL_FCTR_ID           NUMBER(18, 0),
    COST_ALLOCATION_KEYFLEX_ID     NUMBER(18, 0),
    ALWS_CHG_CD                    VARCHAR2(120),
    ELE_ENTRY_VAL_CD               VARCHAR2(120),
    OPT_ID                         NUMBER(18, 0),
    PL_TYP_ID                      NUMBER(18, 0),
    PAY_RATE_GRADE_RULE_ID         NUMBER(18, 0),
    INPUT_VA_CALC_RL               NUMBER(18, 0),
    ORDR_NUM                       NUMBER(18, 0),
    SUB_ACTY_TYP_CD                VARCHAR2(120),
    RATE_PERIODIZATION_CD          VARCHAR2(120),
    RATE_PERIODIZATION_RL          NUMBER       ,
    MN_MX_ELCN_RL                  NUMBER(18, 0),
    MAPPING_TABLE_NAME             VARCHAR2(240),
    MAPPING_TABLE_PK_ID            NUMBER(18, 0),
    CONTEXT_PGM_ID                 NUMBER(18, 0),
    CONTEXT_PL_ID                  NUMBER(18, 0),
    CONTEXT_OPT_ID                 NUMBER(18, 0),
    CURRENCY_DET_CD                VARCHAR2(120),
    ELEMENT_DET_RL                 NUMBER(18, 0),
    ABR_SEQ_NUM                    NUMBER(18, 0),
    RATE_DISPLAY_CD                VARCHAR2(120),
    CONFIG_ID_1                    NUMBER(18, 0),
    CONFIG_ID_2                    NUMBER(18, 0),
    CONFIG_ID_3                    NUMBER(18, 0),
    CONFIG_ID_4                    NUMBER(18, 0),
    CONFIG_ID_5                    NUMBER(18, 0),
    CONFIG_NUM_1                   NUMBER       ,
    CONFIG_NUM_2                   NUMBER       ,
    CONFIG_NUM_3                   NUMBER       ,
    CONFIG_NUM_4                   NUMBER       ,
    CONFIG_NUM_5                   NUMBER       ,
    CONFIG_CHAR_1                  VARCHAR2(960),
    CONFIG_CHAR_2                  VARCHAR2(960),
    CONFIG_CHAR_3                  VARCHAR2(960),
    CONFIG_CHAR_4                  VARCHAR2(960),
    CONFIG_CHAR_5                  VARCHAR2(960),
    CONFIG_DATE_1                  DATE         ,
    CONFIG_DATE_2                  DATE         ,
    CONFIG_DATE_3                  DATE         ,
    CONFIG_DATE_4                  DATE         ,
    CONFIG_DATE_5                  DATE         ,
    ACTY_BASE_RT_ID                NUMBER(18, 0),
    ALWS_RLVR_CRS_FLAG             VARCHAR2(120),
    FLEX_PLC_HLDR_RATE_CD          VARCHAR2(120),
    ADD_TO_PGM_POOL_FLAG           VARCHAR2(120),
    ALWS_NGTV_USG_FLAG             VARCHAR2(120),
    PCT_NGTV_USG_BY_TOTAL_POOL     NUMBER       ,
    AUTO_ALCT_EXCS_FLAG            VARCHAR2(120),
    EXCS_TRTMT_CD                  VARCHAR2(120),
    EXCS_TRTMT_RL                  NUMBER(18, 0),
    CASH_DSTRBN_RSTRCN_CD          VARCHAR2(120),
    MN_CASH_DSTRBL_PCT             NUMBER       ,
    MX_CASH_DSTRBL_PCT             NUMBER       ,
    MN_CASH_DSTRBL_VAL             NUMBER       ,
    MX_CASH_DSTRBL_VAL             NUMBER       ,
    USES_NET_CRS_MTHD_FLAG         VARCHAR2(120),
    MX_DFCIT_PCT_POOL_CRS_NUM      NUMBER       ,
    MX_DFCIT_PCT_COMP_NUM          NUMBER       ,
    CASH_RNDG_CD                   VARCHAR2(120),
    CASH_RNDG_RL                   NUMBER(18, 0),
    DFLT_EXCS_TRTMT_CD             VARCHAR2(120),
    DFLT_EXCS_TRTMT_RL             NUMBER(18, 0),
    EXCS_ALWYS_FFTD_FLAG           VARCHAR2(120),
    PGM_POOL_FLAG                  VARCHAR2(120),
    USE_FOR_PGM_POOL_FLAG          VARCHAR2(120),
    ALWS_NGTV_CRS_FLAG             VARCHAR2(120),
    RLOVR_RSTRCN_CD                VARCHAR2(120),
    PCT_RNDG_CD                    VARCHAR2(120),
    PCT_RNDG_RL                    NUMBER(18, 0),
    VAL_RNDG_CD                    VARCHAR2(120),
    VAL_RNDG_RL                    NUMBER(18, 0),
    COMP_OBJ_TYPE                  VARCHAR2(120),
    EFFECTIVE_START_DATE           DATE         ,
    EFFECTIVE_END_DATE             DATE         ,
    ACTY_TYP_CD                    VARCHAR2(120),
    LEGAL_ENTITY_ID                NUMBER(18, 0),
    NAME                           VARCHAR2(960),
    RT_TYP_CD                      VARCHAR2(120),
    BNFT_RT_TYP_CD                 VARCHAR2(120),
    TX_TYP_CD                      VARCHAR2(120),
    USE_TO_CALC_NET_FLX_CR_FLAG    VARCHAR2(120)    NOT NULL,
    ASN_ON_ENRT_FLAG               VARCHAR2(120)    NOT NULL,
    ABV_MX_ELCN_VAL_ALWD_FLAG      VARCHAR2(120)    NOT NULL,
    BLW_MN_ELCN_ALWD_FLAG          VARCHAR2(120)    NOT NULL,
    DSPLY_ON_ENRT_FLAG             VARCHAR2(120)    NOT NULL,
    PARNT_CHLD_CD                  VARCHAR2(120),
    USE_CALC_ACTY_BS_RT_FLAG       VARCHAR2(120)    NOT NULL,
    USES_DED_SCHED_FLAG            VARCHAR2(120)    NOT NULL,
    USES_VARBL_RT_FLAG             VARCHAR2(120)    NOT NULL,
    VSTG_SCHED_APLS_FLAG           VARCHAR2(120)    NOT NULL,
    RT_MLT_CD                      VARCHAR2(120),
    PROC_EACH_PP_DFLT_FLAG         VARCHAR2(120)    NOT NULL,
    PRDCT_FLX_CR_WHEN_ELIG_FLAG    VARCHAR2(120)    NOT NULL,
    NO_STD_RT_USED_FLAG            VARCHAR2(120)    NOT NULL,
    RCRRG_CD                       VARCHAR2(120),
    MN_ELCN_VAL                    NUMBER       ,
    MX_ELCN_VAL                    NUMBER       ,
    USES_PYMT_SCHED_FLAG           VARCHAR2(120)    NOT NULL,
    NNMNTRY_UOM                    VARCHAR2(120),
    VAL                            NUMBER       ,
    INCRMT_ELCN_VAL                NUMBER       ,
    RNDG_CD                        VARCHAR2(120),
    VAL_OVRID_ALWD_FLAG            VARCHAR2(120)    NOT NULL,
    PRTL_MO_DET_MTHD_CD            VARCHAR2(120),
    ACTY_BASE_RT_STAT_CD           VARCHAR2(120),
    PROCG_SRC_CD                   VARCHAR2(120),
    DFLT_VAL                       NUMBER       ,
    DFLT_FLAG                      VARCHAR2(120)    NOT NULL,
    FRGN_ERG_DED_TYP_CD            VARCHAR2(120),
    FRGN_ERG_DED_NAME              VARCHAR2(720),
    FRGN_ERG_DED_IDENT             VARCHAR2(360),
    NO_MX_ELCN_VAL_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    PRTL_MO_DET_MTHD_RL            NUMBER(18, 0),
    ENTR_VAL_AT_ENRT_FLAG          VARCHAR2(120)    NOT NULL,
    PRTL_MO_EFF_DT_DET_RL          NUMBER(18, 0),
    RNDG_RL                        NUMBER(18, 0),
    VAL_CALC_RL                    NUMBER(18, 0),
    NO_MN_ELCN_VAL_DFND_FLAG       VARCHAR2(120)    NOT NULL,
    PRTL_MO_EFF_DT_DET_CD          VARCHAR2(120),
    ONLY_ONE_BAL_TYP_ALWD_FLAG     VARCHAR2(120)    NOT NULL,
    ANN_MN_ELCN_VAL                NUMBER       ,
    ANN_MX_ELCN_VAL                NUMBER       ,
    ENTR_ANN_VAL_FLAG              VARCHAR2(120)    NOT NULL,
    RT_USG_CD                      VARCHAR2(120),
    LWR_LMT_VAL                    NUMBER       ,
    LWR_LMT_CALC_RL                NUMBER(18, 0),
    UPR_LMT_VAL                    NUMBER       ,
    UPR_LMT_CALC_RL                NUMBER(18, 0),
    ELEMENT_TYPE_ID                NUMBER(18, 0),
    PGM_ID                         NUMBER(18, 0),
    PL_ID                          NUMBER(18, 0),
    OIPL_ID                        NUMBER(18, 0),
    PLIP_ID                        NUMBER(18, 0),
    PTIP_ID                        NUMBER(18, 0),
    CMBN_PTIP_ID                   NUMBER(18, 0),
    CMBN_PTIP_OPT_ID               NUMBER(18, 0),
    VSTG_FOR_ACTY_RT_ID            NUMBER(18, 0),
    COMP_LVL_FCTR_ID               NUMBER(18, 0),
    PTD_COMP_LVL_FCTR_ID           NUMBER(18, 0),
    CLM_COMP_LVL_FCTR_ID           NUMBER(18, 0),
    PARNT_ACTY_BASE_RT_ID          NUMBER(18, 0),
    BUSINESS_GROUP_ID              NUMBER(18, 0)    NOT NULL,
    ABR_ATTRIBUTE_CATEGORY         VARCHAR2(120),
    ABR_ATTRIBUTE1                 VARCHAR2(600),
    ABR_ATTRIBUTE2                 VARCHAR2(600),
    ABR_ATTRIBUTE3                 VARCHAR2(600),
    ABR_ATTRIBUTE4                 VARCHAR2(600),
    ABR_ATTRIBUTE5                 VARCHAR2(600),
    ABR_ATTRIBUTE6                 VARCHAR2(600),
    ABR_ATTRIBUTE7                 VARCHAR2(600),
    ABR_ATTRIBUTE8                 VARCHAR2(600),
    ABR_ATTRIBUTE9                 VARCHAR2(600),
    ABR_ATTRIBUTE10                VARCHAR2(600),
    ABR_ATTRIBUTE11                VARCHAR2(600),
    ABR_ATTRIBUTE12                VARCHAR2(600),
    ABR_ATTRIBUTE13                VARCHAR2(600),
    ABR_ATTRIBUTE14                VARCHAR2(600),
    ABR_ATTRIBUTE15                VARCHAR2(600),
    ABR_ATTRIBUTE16                VARCHAR2(600),
    ABR_ATTRIBUTE17                VARCHAR2(600),
    ABR_ATTRIBUTE18                VARCHAR2(600),
    ABR_ATTRIBUTE19                VARCHAR2(600),
    ABR_ATTRIBUTE20                VARCHAR2(600),
    ABR_ATTRIBUTE21                VARCHAR2(600),
    ABR_ATTRIBUTE22                VARCHAR2(600),
    ABR_ATTRIBUTE23                VARCHAR2(600),
    ABR_ATTRIBUTE24                VARCHAR2(600),
    ABR_ATTRIBUTE25                VARCHAR2(600),
    ABR_ATTRIBUTE26                VARCHAR2(600),
    ABR_ATTRIBUTE27                VARCHAR2(600),
    ABR_ATTRIBUTE28                VARCHAR2(600),
    ABR_ATTRIBUTE29                VARCHAR2(600),
    ABR_ATTRIBUTE30                VARCHAR2(600),
    ABR_ATTRIBUTE_NUMBER1          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER2          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER3          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER4          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER5          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER6          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER7          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER8          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER9          NUMBER       ,
    ABR_ATTRIBUTE_NUMBER10         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER11         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER12         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER13         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER14         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER15         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER16         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER17         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER18         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER19         NUMBER       ,
    ABR_ATTRIBUTE_NUMBER20         NUMBER       ,
    ABR_ATTRIBUTE_DATE1            DATE         ,
    ABR_ATTRIBUTE_DATE2            DATE         ,
    ABR_ATTRIBUTE_DATE3            DATE         ,
    ABR_ATTRIBUTE_DATE4            DATE         ,
    ABR_ATTRIBUTE_DATE5            DATE         ,
    ABR_ATTRIBUTE_DATE6            DATE         ,
    ABR_ATTRIBUTE_DATE7            DATE         ,
    ABR_ATTRIBUTE_DATE8            DATE         ,
    ABR_ATTRIBUTE_DATE9            DATE         ,
    ABR_ATTRIBUTE_DATE10           DATE         ,
    ABR_ATTRIBUTE_DATE11           DATE         ,
    ABR_ATTRIBUTE_DATE12           DATE         ,
    ABR_ATTRIBUTE_DATE13           DATE         ,
    ABR_ATTRIBUTE_DATE14           DATE         ,
    ABR_ATTRIBUTE_DATE15           DATE         ,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    INPUT_VALUE_ID                 NUMBER(18, 0),
    SUBJ_TO_IMPTD_INCM_FLAG        VARCHAR2(120),
    WSH_RL_DY_MO_NUM               NUMBER(18, 0),
    CMBN_PLIP_ID                   NUMBER(18, 0),
    OIPLIP_ID                      NUMBER(18, 0),
    ACTL_PREM_ID                   NUMBER(18, 0),
    ELE_RQD_FLAG                   VARCHAR2(120)    NOT NULL,
    ONE_ANN_PYMT_CD                VARCHAR2(120),
    PRORT_MN_ANN_ELCN_VAL_CD       VARCHAR2(120),
    PRORT_MN_ANN_ELCN_VAL_RL       NUMBER(18, 0),
    PRORT_MX_ANN_ELCN_VAL_CD       VARCHAR2(120),
    PRORT_MX_ANN_ELCN_VAL_RL       NUMBER(18, 0),
    ASMT_TO_USE_CD                 VARCHAR2(120),
    DET_PL_YTD_CNTRS_CD            VARCHAR2(120),
    TTL_COMP_LVL_FCTR_ID           NUMBER(18, 0),
    COST_ALLOCATION_KEYFLEX_ID     NUMBER(18, 0),
    ALWS_CHG_CD                    VARCHAR2(120),
    ELE_ENTRY_VAL_CD               VARCHAR2(120),
    OPT_ID                         NUMBER(18, 0),
    PAY_RATE_GRADE_RULE_ID         NUMBER(18, 0),
    INPUT_VA_CALC_RL               NUMBER(18, 0),
    ORDR_NUM                       NUMBER(18, 0),
    SUB_ACTY_TYP_CD                VARCHAR2(120),
    RATE_PERIODIZATION_CD          VARCHAR2(120),
    RATE_PERIODIZATION_RL          NUMBER       ,
    MN_MX_ELCN_RL                  NUMBER(18, 0),
    MAPPING_TABLE_NAME             VARCHAR2(240),
    MAPPING_TABLE_PK_ID            NUMBER(18, 0),
    CONTEXT_PGM_ID                 NUMBER(18, 0),
    CONTEXT_PL_ID                  NUMBER(18, 0),
    CONTEXT_OPT_ID                 NUMBER(18, 0),
    CURRENCY_DET_CD                VARCHAR2(120),
    ELEMENT_DET_RL                 NUMBER(18, 0),
    ABR_SEQ_NUM                    NUMBER(18, 0),
    RATE_DISPLAY_CD                VARCHAR2(120),
    PL_TYP_ID                      NUMBER(18, 0),
    CONFIG_ID_1                    NUMBER(18, 0),
    CONFIG_ID_2                    NUMBER(18, 0),
    CONFIG_ID_3                    NUMBER(18, 0),
    CONFIG_ID_4                    NUMBER(18, 0),
    CONFIG_ID_5                    NUMBER(18, 0),
    CONFIG_NUM_1                   NUMBER       ,
    CONFIG_NUM_2                   NUMBER       ,
    CONFIG_NUM_3                   NUMBER       ,
    CONFIG_NUM_4                   NUMBER       ,
    CONFIG_NUM_5                   NUMBER       ,
    CONFIG_CHAR_1                  VARCHAR2(960),
    CONFIG_CHAR_2                  VARCHAR2(960),
    CONFIG_CHAR_3                  VARCHAR2(960),
    CONFIG_CHAR_4                  VARCHAR2(960),
    CONFIG_CHAR_5                  VARCHAR2(960),
    CONFIG_DATE_1                  DATE         ,
    CONFIG_DATE_2                  DATE         ,
    CONFIG_DATE_3                  DATE         ,
    CONFIG_DATE_4                  DATE         ,
    CONFIG_DATE_5                  DATE         ,
    USES_CIR                       VARCHAR2(120),
    DIR_CARD_DEFINITION_ID         NUMBER(18, 0),
    DIR_CARD_COMP_DEF_ID           NUMBER(18, 0),
    MAPPING_ID                     NUMBER(18, 0),
    VALUE_DEFINITION_BASE_NAME     VARCHAR2(512),
    EXTRA_VAL_DEF_RL               NUMBER(18, 0),
    CONSTRAINT pk_ben_acty_base_rt_f PRIMARY KEY (ACTY_BASE_RT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, ACTY_BASE_RT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
